package com.alihealth.d2d.provtest.VO;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class DrugRetraceVO implements Serializable {

    private static final long serialVersionUID = 5380130274842679836L;

    /**
     * 药品生产信息
     */
    private DrugProductionInfoVO drugProductionInfoVO;

    /**
     * 药品发货信息， 发货信息可能会有多条
     */
    private List<DrugInvoiceInfoVO> drugInvoiceInfoVOList;

    /**
     * 药品收货信息， 收货信息可能会有多条
     */
    private List<DrugDeliveryNoteInfoVO> drugDeliveryNoteInfoVOList;

    /**
     * 药品零售与药品使用信息
     */
    private DrugRetailAndUseInfoVO drugRetailAndUseInfoVO;

}
